%global packname  git2r
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          0.21.0
Release:          2%{?dist}
Summary:          Provides Access to Git Repositories

License:          GPLv2
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
# https://github.com/ropensci/git2r/pull/336
# + https://github.com/QuLogic/git2r/tree/git-buf
# + https://github.com/QuLogic/git2r/tree/debundle
Patch0001:        0001-Use-system-libgit2.patch

# Here's the R view of the dependencies world:
# Depends:   R-methods
# Imports:   R-graphics, R-utils
# Suggests:  R-getPass
# LinkingTo:
# Enhances:

Requires:         R-methods
Requires:         R-graphics
Requires:         R-utils
Suggests:         R-getPass
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    libgit2-devel >= 0.26.0
BuildRequires:    R-methods
BuildRequires:    R-graphics
BuildRequires:    R-utils
BuildRequires:    R-getPass

%description
Interface to the 'libgit2' library, which is a pure C implementation of
the 'Git' core methods. Provides access to 'Git' repositories to extract
data and running some basic 'Git' commands.


%prep
%setup -q -c -n %{packname}

# Remove bundled libgit2.
pushd %{packname}
%patch0001 -p1
rm -r src/libgit2
sed -i '/libgit2/d' MD5
popd


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/AUTHORS
%doc %{rlibdir}/%{packname}/CITATION
%license %{rlibdir}/%{packname}/COPYING
%license %{rlibdir}/%{packname}/COPYRIGHTS
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Thu May 17 2018 Tom Callaway <spot@fedoraproject.org> - 0.21.0-2
- rebuild for R 3.5.0

* Mon Apr 23 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.21.0-1
- initial package for Fedora
